%global pkgvers 0
%global scdate0 20241212
%global schash0 9f4d9d20bc3ce305b961582c4a07d7d08ee4ac21
%global branch0 master
%global source0 https://github.com/enjoy-digital/liteeth.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           litex-liteeth
Version:        2024.08
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        A small footprint and configurable Ethernet core
License:        BSD
BuildArch:      noarch

URL:            https://github.com/enjoy-digital/liteeth

Patch0:         litex-eth.patch

BuildRequires:  git python3-devel python3-setuptools

Requires:       %{name}-python3 = %{version}-%{release}

%description
LiteEth provides a small footprint and configurable Ethernet core.


%package        python3
Summary:        %{summary}
Requires:       %{name} = %{version}-%{release}
Requires:       litex-python3
Provides:       liteeth

%description    python3
LiteEth provides a small footprint and configurable Ethernet core.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
%patch -P 0 -p1 -b .py36~


%build
%{py3_build}


%install
%{py3_install}


%files
%doc bench
%doc README.md
%doc doc examples
%license LICENSE
%{_bindir}/*

%files python3
%{python3_sitelib}/*


%changelog
* Thu Nov 18 2021 Cristian Balint <cristian.balint@gmail.com>
- initial release
